Last Comment Bug 765801 - Commit Access for Biraj Karmakar (Level 1a - l10n) [bn-IN]
: Commit Access for Biraj Karmakar (Level 1a - l10n) [bn-IN]
Status: RESOLVED FIXED
ssh-key,voucher,form
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Ashish Vijayaram [:ashish]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 09:58 PDT by Biraj Karmakar [:biraj]
Modified: 2012-07-04 09:35 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ssh key (391 bytes, text/plain)
2012-06-18 09:58 PDT, Biraj Karmakar [:biraj]
no flags Details
ssh key (399 bytes, text/plain)
2012-06-20 10:59 PDT, Biraj Karmakar [:biraj]
no flags Details
This is new ssh key. (399 bytes, text/plain)
2012-07-01 23:29 PDT, Biraj Karmakar [:biraj]
no flags Details

Description Biraj Karmakar [:biraj] 2012-06-18 09:58:37 PDT
Created attachment 634084 [details]
ssh key

I am translating mozilla thunderbird .So I need to push changes to mozilla-central. My email address is brnet00@gmail.com .It is used as log in name.
Comment 1 Runa Bhattacharjee 2012-06-18 10:28:09 PDT
Hello, this request from Biraj will allow him to eventually commit directly into the Bengali-India l10n repository. He has been translating Thunderbird files since the last few months. I'd like to vouch for this account and handhold him through the commit process. Thanks.
Comment 2 Marcia Knous [:marcia - use ni] 2012-06-18 11:41:45 PDT
Adding Axel to the bug and setting to new.
Comment 3 Axel Hecht [:Pike] 2012-06-18 12:07:47 PDT
Biraj, please fill out the contributor form at http://www.mozilla.org/hacking/notification/, and send it to Erica?

Un-securing, and making this a level 1a request, as this is for l10n, which doesn't need level 3.
Comment 4 Biraj Karmakar [:biraj] 2012-06-20 07:44:17 PDT
I have sent the mail to mcclure@mozilla.com with the scan copy of completed Committer's Agreement at 7.43 pm on June 20,2012.
Comment 5 Erica McClure 2012-06-20 10:06:21 PDT
I have received Biraj's Committer's Agreement.
Comment 6 Axel Hecht [:Pike] 2012-06-20 10:09:16 PDT
Over to server-ops with carrying over Runa's vouching.

Please create an ldap account with level 1a and scm_l10n, and send out password notification.
Comment 7 Biraj Karmakar [:biraj] 2012-06-20 10:59:43 PDT
Created attachment 634977 [details]
ssh key

This is new SSH key.
Comment 8 Ashish Vijayaram [:ashish] 2012-06-20 21:40:23 PDT
+ldap, +ssh, +hg, +scm_level_1, +scm_l10n

Password + change instructions emailed to user.

Commit away!
Comment 9 Biraj Karmakar [:biraj] 2012-06-30 02:54:19 PDT
I cannot create mozilla repository . This is shown 

The authenticity of host 'hg.mozilla.org (63.245.215.25)' can't be established.
RSA key fingerprint is fa:e8:5a:cc:de:02:e0:c7:6e:ff:14:92:90:b9:12:be.

Have I not get the repository access?
Comment 10 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-30 10:09:21 PDT
You should be able to say "yes" and continue, but if you can't, you might try just running "ssh hg.mozilla.org" and accepting the prompt there. After that, connecting via hg should work again.
Comment 11 Axel Hecht [:Pike] 2012-06-30 10:22:31 PDT
From the thread in .l10n.in, it seems that Runa helped out with this already?
Comment 12 Biraj Karmakar [:biraj] 2012-07-01 04:25:05 PDT
when I tried ssh hg.mozilla.org it shows

[Biraj@ASUS ~]$ ssh hg.mozilla.org
Permission denied (publickey,keyboard-interactive).

I can't proceed further.Probably my public ssh key problem.
Comment 13 Ashish Vijayaram [:ashish] 2012-07-01 20:50:18 PDT
I don't find anything off in the ldap account. hg, scm bits look good, key on file matches the attachment on this bug.

(In reply to Biraj Karmakar from comment #12)
> when I tried ssh hg.mozilla.org it shows
> 
> [Biraj@ASUS ~]$ ssh hg.mozilla.org
> Permission denied (publickey,keyboard-interactive).
> 
> I can't proceed further.Probably my public ssh key problem.

I don't think you'll get a shell. Try a commit maybe?
Comment 14 Biraj Karmakar [:biraj] 2012-07-01 23:29:04 PDT
Created attachment 638271 [details]
This is new ssh key.

I have found out that 

The error "Permission denied (publickey,keyboard-interactive)" will come for wrong ssh public key.

So,I have again submitted new ssh public key.Please attach this new ssh public key at the place of old ssh public key.
Comment 15 Ashish Vijayaram [:ashish] 2012-07-02 07:52:46 PDT
(In reply to Biraj Karmakar from comment #14)
> So,I have again submitted new ssh public key.Please attach this new ssh
> public key at the place of old ssh public key.

This is the same key as the one on file. I suggest that you read through https://developer.mozilla.org/en/Mercurial and reopen this bug if you still have further questions.

Hope that helps!
Comment 16 Axel Hecht [:Pike] 2012-07-02 08:24:05 PDT
https://developer.mozilla.org/en/Localization_Quick_Start_Guide/Release_phase#Configuration is a bit more detailed.

You'll want 

Host hg.mozilla.org 
User brnet00@gmail.com

in your ~/.ssh/config, that's the most common pitfall. If you're using different ssh keys for different projects, you can specify which one to use by having a third line with

IdentityFile ~/path/to/private/key/file
Comment 17 Biraj Karmakar [:biraj] 2012-07-02 19:59:23 PDT
I have set up all these above things .But again show the same error "Permission denied (publickey,keyboard-interactive)"

I am using same public key for FAS,github,gitorious as well as LDAP.

I have puzzled to create a empty mozilla repository.
Comment 18 Ashish Vijayaram [:ashish] 2012-07-02 20:54:53 PDT
Please ping me on IRC (ashish).
Comment 19 Biraj Karmakar [:biraj] 2012-07-04 09:27:55 PDT
The ssh problem has been solved.Pike,Milos helped me very much to solve this problem.
Comment 20 Swarnava Sengupta (:Swarnava) 2012-07-04 09:35:50 PDT
marking resolved as per comment 19

Note You need to log in before you can comment on or make changes to this bug.